﻿@model ClientApp.Models.DomainModels.Tbl_Customer
<div class="col-xs-12 col-md-3">
    <section class="app__section">
        <div class="app__section__header">
            افزودن کاربر جدید
        </div>
        <div class="app__section__body">
            <div class="row">
                <div class="col-xs-12">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            نام کاربری
                        </label>
                        <div id="addUsernameParent">
                            @Html.DevExpress().TextBox(settings =>
                        {
                            settings.Name = "UserNameTXT";
                            settings.Properties.NullText = "نام کاربری";
                        }).GetHtml()

                        </div>
                        <div id="addUsernameError"
                             class="app__form-error app__hide">
                            نام کاربری وارد  نشده است
                        </div>
                    </div>
                </div>
                <div class="col-xs-12">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            رمز عبور
                        </label>
                        <div id="addPasswordParent">
                            @Html.DevExpress().TextBox(settings =>
                       {
                           settings.Name = "PasswordTXT";
                           settings.Properties.NullText = "رمز عبور";
                           settings.Properties.Password = true;
                       }).GetHtml()
                        </div>
                        <div id="addPasswordError"
                             class="app__form-error app__hide">
                            رمز عبور وارد نشده است
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            نام و نام خانوادگی
                        </label>
                        <div id="addNickNameParent">
                            @Html.DevExpress().TextBox(settings =>
                            {
                                settings.Name = "NickNameTXT";
                                settings.Properties.NullText = "نام و نام خانوادگی کاربر را وارد کنید";
                            }).GetHtml()

                        </div>
                        <div id="addNickNameError"
                             class="app__form-error app__hide">
                            نام و نام خانوادگی کاربر وارد نشده است
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 ">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            شماره موبایل
                        </label>
                        <div id="addUsermobileParent">
                            @Html.DevExpress().TextBox(settings =>
{
    settings.Name = "UserMobileTXT";
    settings.Properties.NullText = "مویایل کاربر را وارد کنید";
}).GetHtml()

                        </div>
                        <div id="addUsermobileError"
                             class="app__form-error app__hide">
                            شماره موبایل مشترک وارد نشده است
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 ">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            آدرس ایمیل
                        </label>
                        <div id="addUserEmailParent">
                            @Html.DevExpress().TextBox(settings =>
{
                            settings.Name = "UserEmailTXT";
                            settings.Properties.NullText = "آدرس ایمیل کاربر را وارد کنید";
                        }).GetHtml()

                        </div>
                        <div id="addUsermobileError"
                             class="app__form-error app__hide">
                            آدرس ایمیل کاربر  وارد نشده است
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 ">
                    <div class="app__form-item app__form-item--action">
                        @Html.DevExpress().Button(settings =>
                        {
                            settings.Name = "addFormSaveBtn";
                            settings.Text = "افزودن کاربر";
                            settings.UseSubmitBehavior = false;
                            settings.EnableClientSideAPI = true;
                            settings.Styles.CssPostfix = "filter-form__btn";
                            settings.ClientSideEvents.Click =
                                "motorsazanClient.user.addUser";
                        }).GetHtml()
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>